#!/bin/bash
#set -x
export LANG=de_DE
export LANGUAGE=de_DE		
		
export DISPLAY=:0
source /etc/vdr.d/conf/gen2vdr.cfg
source /etc/vdr.d/conf/vdr
source /etc/profile

FRV_LCONF="/etc/freevo/local_conf.py"
PLGS=" $PLUGINS "
logger "freevo startet"

sed -i $FRV_LCONF -e "s/SKIN_XML_FILE.*/SKIN_XML_FILE = '$FREEVO_SKIN'/" 
sed -i $FRV_LCONF -e "s/^OSD_OVERSCAN_LEFT.*/OSD_OVERSCAN_LEFT = $FREEVO_OSDLEFT/"
sed -i $FRV_LCONF -e "s/^OSD_OVERSCAN_RIGHT.*/OSD_OVERSCAN_RIGHT = $FREEVO_OSDRIGHT/"
sed -i $FRV_LCONF -e "s/^OSD_OVERSCAN_TOP.*/OSD_OVERSCAN_TOP = $FREEVO_OSDTOP/"
sed -i $FRV_LCONF -e "s/^OSD_OVERSCAN_BOTTOM.*/OSD_OVERSCAN_BOTTOM = $FREEVO_OSDBOTTOM/"
sed -i $FRV_LCONF -e "s/.*IMAGEVIEWER_DURATION.*/IMAGEVIEWER_DURATION = $FREEVO_IMAGEDURATION/"
sed -i $FRV_LCONF -e "s/^MIXER_VOLUME_DEFAULT.*/MIXER_VOLUME_DEFAULT = $ACT_MASTERVOL/"

if [ "${PLGS#* em84xx }" = "$PLGS" ] || [ "$ACTIVY_OVERLAY" = "Aus" ] ; then
   GUI_OVERLAY=0
else
   GUI_OVERLAY=1
fi   

if [ "$(pidof LCDd)" = "" ] ; then
   sed -i $FRV_LCONF -e "s/^plugin.activate('lcd/#plugin.activate('lcd/"   
elif [ "${PLGS#* alcd }" != "$PLGS" ] ; then
   sed -i $FRV_LCONF -e "s/^#[ ]*plugin.activate('lcd/plugin.activate('lcd/"   
fi

if [ "$GUI" = "VDR_FreeVo" -a "$GUI_OVERLAY" = "1" ] ; then
   sed -i $FRV_LCONF -e "s/^MIXER_CONTROL_ALL.*/MIXER_CONTROL_ALL = 0/"
else
   sed -i $FRV_LCONF -e "s/^MIXER_CONTROL_ALL.*/MIXER_CONTROL_ALL = 1/"
fi
if [ "$GUI" = "VDR_FreeVo" ] ; then
   sed -i $FRV_LCONF -e "s/#[ ]*plugin.activate('autostart')/plugin.activate('autostart')/"
else
   sed -i $FRV_LCONF -e "s/^plugin.activate('autostart')/#plugin.activate('autostart')/"
fi
FXP="/usr/lib/python2.5/site-packages/freevo/video/plugins/xine.py"
if [ "$FREEVO_DVD" = "Xine" ] ; then
   sed -i $FXP -e "s/return 0 # g2v_xine/return 2 # g2v_xine/"
else
   sed -i $FXP -e "s/return 2 # g2v_xine/return 0 # g2v_xine/"
fi   
#plugin.remove('rom_drives.autostart')
if [ "$DISC_AUTORUN" = "1" ] ; then
   sed -i $FRV_LCONF -e "s/plugin\..*'rom_drives.autostart'.*/#plugin.remove('rom_drives.autostart')/"
else
   sed -i $FRV_LCONF -e "s/#[ ]*plugin.*'rom_drives.autostart'.*/plugin.remove('rom_drives.autostart')/"
fi   
if [ "${SCREEN_RESOLUTION/x/}" != "$SCREEN_RESOLUTION" ] ; then
   sed -i /etc/freevo/freevo.conf -e "s/geometry .*/geometry = $SCREEN_RESOLUTION/"
fi   
if [ "$FREEVO_SHOW_CDSTATUS" = "1" ] ; then
   sed -i $FRV_LCONF -e "s/^#[ ]*plugin.activate('idlebar.cdstatus'/plugin.activate('idlebar.cdstatus'/"
else
   sed -i $FRV_LCONF -e "s/^plugin.activate('idlebar.cdstatus'/#plugin.activate('idlebar.cdstatus'/"
fi
if [ "$FREEVO_SHOW_CLOCK" = "1" ] ; then
#   sed -i $FRV_LCONF -e "s/^#plugin.activate('idlebar.clock'/plugin.activate('idlebar.clock'/"
   sed -i $FRV_LCONF -e "s/^CLOCK_FORMAT = '%A/#CLOCK_FORMAT = '%A/"
   sed -i $FRV_LCONF -e "s/^#[ ]*CLOCK_FORMAT = '%a/CLOCK_FORMAT = '%a/"
else
#   sed -i $FRV_LCONF -e "s/^plugin.activate('idlebar.clock'/#plugin.activate('idlebar.clock'/"
   sed -i $FRV_LCONF -e "s/^#[ ]*CLOCK_FORMAT = '%A/CLOCK_FORMAT = '%A/"
   sed -i $FRV_LCONF -e "s/^CLOCK_FORMAT = '%a/#CLOCK_FORMAT = '%a/"   
fi
if [ "$FREEVO_SHOW_DISKFREE" = "1" ] ; then
   sed -i $FRV_LCONF -e "s/^#[ ]*plugin.activate('idlebar.diskfree'/plugin.activate('idlebar.diskfree'/"
else
   sed -i $FRV_LCONF -e "s/^plugin.activate('idlebar.diskfree'/#plugin.activate('idlebar.diskfree'/"
fi
if [ "$FREEVO_SHOW_PROCSTAT" = "1" ] ; then
   sed -i $FRV_LCONF -e "s/^#[ ]*plugin.activate('idlebar.system.procstats'/plugin.activate('idlebar.system.procstats'/"
else
   sed -i $FRV_LCONF -e "s/^plugin.activate('idlebar.system.procstats'/#plugin.activate('idlebar.system.procstats'/"
fi

# if ActivyFB is used disable lirc
LIRCRC="/etc/freevo/lircrc"
if [ "$LIRC" = "ActivyFB" ] ; then
   if [ -e $LIRCRC ] ; then
      [ ! -e $LIRCRC.org ] && cp $LIRCRC $LIRCRC.org
      rm $LIRCRC
   fi
else
   [ ! -e $LIRCRC ] && [ -e $LIRCRC.org ] && cp $LIRCRC.org $LIRCRC
fi

FGC=$(fgconsole)
rm /tmp/.freevodisabled > /dev/null 2>&1
screen -dm sh -c "/usr/bin/freevo -fs vt7 -br -nolisten tcp"
#sleep 5
# Starting freevo
if [ "$FGC" = "$VDR_CONSOLE" ] && [ "$GUI_SWITCH_CONSOLE" = "1" ] ; then
   screen -dm sh -c "/_config/bin/set_fg.sh VDR 30"
elif [ "$GUI" = "VDR_FreeVo" ] ; then
   rm -f /tmp/.vdrdisabled /tmp/.stopxvdr > /dev/null 2>&1
   for i in $(seq 1 10); do
      [ "$(pidof vdr)" = "" ] && break
      if [ "$(pidof X)" != "" ] ; then  
         [ "$GUI_OVERLAY" = "1" ] &&  /_config/bin/setscart.sh DVB
         break
      fi
      sleep 2
   done      
   
   for i in $(seq 1 10) ; do
      [ "$(pidof vdr)" = "" ] && break
      [ "$(pidof -x /_config/bin/x2vdr.sh)" != "" ] && break
      sleep 3
   done      
   if [ "$(pidof -x /_config/bin/x2vdr.sh)" = "" ] ; then
      logger "x2vdr not started"
      /_config/bin/switch_console.sh -x
   else
      touch /tmp/.freevodisabled
   fi            
else
   sleep 5
   /_config/bin/switch_console.sh -x
fi
sleep 5

while [ "$(pidof -x /usr/bin/freevo)" != "" ] ; do
   sleep 5
done
rm /tmp/.vdrdisabled > /dev/null 2>&1

/etc/init.d/freevo stop > /dev/null 2>&1
