#!/bin/bash
set -x
source /etc/vdr.d/conf/vdr
rm -f /tmp/.vdrdisabled /tmp/.stopxvdr > /dev/null 2>&1
if [ "$(pidof vdr)" = "" ] ; then
   logger "X2VDR - VDR not running"
   exit 1
fi      
touch /tmp/.freevodisabled
if [ "$(pidof key2xd)" != "" ] ; then
   killall -9 key2xd
   STK2X=1
fi
      
setterm -blank -powersave off -powerdown -cursor off -store
export DISPLAY=:0
xte "mousemove 2000 2000"
screen -dm sh -c "unclutter -d :0 -root -idle 3"

PARM=""
if [ "$GUI_SWITCH_OUTPUT" = "1" ] || [ "$(echo " $PLUGINS " | grep " em84xx ")" != "" ]  ; then
   CMD="/_config/bin/vdr-enable.sh"
elif [ "${PLUGINS/xineliboutput/}" != "${PLUGINS}" ] ; then
   /_config/bin/switch_console.sh -vdr
   CMD="/_config/bin/vdr-xine.sh"
else 
   if [ "$FF_APPL" = "xawtv" -o "$(which tvtime)" = "" ] ; then
      touch ~/.xawtv
      CMD="xawtv"
      PARM="-display :0 -f -remote"
      [ "$(xvinfo | grep "no adaptors present")" = "" ] && PARM="$PARM -xv"
      [ "$FF_APPL_DEINTERLACE" = "1" ] && PARM="$PARM -global:filter \"linear blend\""
   else
      CMD="tvtime"
      PARAM="--slave --fullscreen --display=:0"
   fi
     
   /_config/bin/switch_console.sh -vdr
fi
PIDS="$(pidof -x $CMD)"
[ "$PIDS" != "" ] && kill -9 $PIDS > /dev/null 2>$1
			      
while [ ! -f /tmp/.vdrdisabled ] && [ ! -f /tmp/.stopxvdr ] && [ "$(pidof X)" != "" ] && [ ! -f /tmp/.shutdown ] ; do
   if [ "$(pidof -x $CMD)" = "" ] ; then
      logger "X2VDR <$CMD $PARM>"
      screen -dm sh -c "$CMD $PARM"
   fi
   sleep 2      
done
[ "$(pidof -x $CMD)" != "" ] && kill -9 $(pidof -x $CMD)
logger "X2VDR ended"
killall -9 unclutter >/dev/null 2>&1

if [ "$GUI" = "VDR" ] ; then
   /etc/init.d/xvdr stop > /dev/null 2>&1
   [ ! -f /tmp/.vdrdisabled ] && [ ! -f /tmp/.shutdown ] && [ ! -f /tmp/.stopxvdr ] && screen -dm sh -c "/etc/init.d/xvdr start"
else   
   /_config/bin/switch_console.sh -x
fi   
