#!/bin/bash
URL_PKGS="http://www.htpc-forum.de/gen2vdr/ActivyEdition/packages"
MD5_FILE="g2vae_md5_pkgs"
TARGET_DIR="/_config/update/packages"

if [ "$1" != "-list" -a "$1" != "-get" -a "$1" != "-install" ] ; then
   echo "Syntax: $0 -list|-get|-install"
   echo "   -list:     hole Liste der packages (g2v_md5_pkgs)"
   echo "   -get:      hole alle in Pakete der Liste"
   echo "   -install:  installiere alle in Pakete der Liste"
   exit
fi   

[ ! -d $TARGET_DIR ] && mkdir -p $TARGET_DIR
cd $TARGET_DIR
 
if [ "$1" = "-list" ] ; then
   rm -f $MD5_FILE >/dev/null 2>&1
   wget "${URL_PKGS}/${MD5_FILE}"
fi   
if [ ! -f $MD5_FILE ] ; then
   echo "$MD5_FILE nicht vorhanden"
   exit
fi

if [ "$1" = "-list" ] ; then
   mcedit $MD5_FILE
   exit
fi

ARCHS=$(grep "\.tgz$" $MD5_FILE | cut -f 3 -d " ")
if [ "${ARCHS}" = "" ] ; then
   echo "${$MD5_FILE} enthaelt keine Pakete"
   exit -1
fi

for i in $ARCHS ; do
   WP=""
   if [ -f ${i} ] ; then
      echo "Pruefe <${i}> ..."
      MD5=$(md5sum ${i} | cut -f 1 -d " ")
      if [ "$(grep ${i} ${MD5_FILE} | grep $MD5)" != "" ] ; then         
         continue
      else
         WP="-c "
      fi
   fi
   echo "Lade <${i}> herunter ..."
   wget $WP ${URL_PKGS}/${i}
   MD5=$(md5sum ${i} | cut -f 1 -d " ")
   if [ "$(grep ${i} ${MD5_FILE} | grep $MD5)" = "" ] ; then
      echo "Fehler beim Download von ${i}"
      if [ -f $i ] ; then
         echo "Nochmaliger Download von ${i} ..."
         rm $i
         wget $WP ${URL_PKGS}/${i}
         MD5=$(md5sum ${i} | cut -f 1 -d " ")
         
         if [ "$(grep ${i} ${MD5_FILE} | grep $MD5)" = "" ] ; then
            echo "Fehler beim Download von ${i}"
            exit -1
         fi
      else
         exit -1             
      fi
   fi
done

[ "$1" = "-get" ] && exit

for i in $ARCHS ; do
   PKG_SCRIPT="${i%tgz}sh"
   [ -e $PKG_SCRIPT ] && rm -f $PKG_SCRIPT
   tar -C / -xvf $i
   [ -e $PKG_SCRIPT ] && sh $PKG_SCRIPT
done
